--
-- PostgreSQL database dump
--

-- Dumped from database version 9.3.4
-- Dumped by pg_dump version 9.3.4
-- Started on 2015-09-29 17:54:52

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 235 (class 3079 OID 11750)
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- TOC entry 2383 (class 0 OID 0)
-- Dependencies: 235
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 170 (class 1259 OID 1047247)
-- Name: alias_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE alias_table (
    alias_type_db character varying(31) NOT NULL,
    iddb integer NOT NULL,
    aliasid character varying(255),
    color bytea,
    fontsize double precision,
    height double precision,
    maxvisibilitylevel integer,
    minvisibilitylevel integer,
    visibilitylevel integer NOT NULL,
    width double precision,
    x double precision,
    y double precision,
    innerwidth double precision,
    namepoint character varying(255),
    outerwidth double precision,
    thickness double precision,
    title character varying(255),
    activity boolean,
    linewidth double precision,
    state character varying(255),
    compartmentalias_iddb integer,
    model_iddb integer,
    parent_iddb integer,
    idcompartmentdb integer,
    idcomplexaliasdb integer,
    idspeciesdb integer
);


ALTER TABLE public.alias_table OWNER TO map_viewer;

--
-- TOC entry 171 (class 1259 OID 1047253)
-- Name: alias_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE alias_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.alias_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2384 (class 0 OID 0)
-- Dependencies: 171
-- Name: alias_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE alias_table_iddb_seq OWNED BY alias_table.iddb;


--
-- TOC entry 172 (class 1259 OID 1047255)
-- Name: antisense_rna_region_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE antisense_rna_region_table (
    idantisensernaregiondb integer NOT NULL,
    id character varying(255),
    name character varying(255),
    pos double precision,
    size double precision,
    type character varying(255),
    idrnaregiondb integer NOT NULL,
    state character varying(255),
    idspeciesdb integer
);


ALTER TABLE public.antisense_rna_region_table OWNER TO map_viewer;

--
-- TOC entry 173 (class 1259 OID 1047261)
-- Name: antisense_rna_region_table_idrnaregiondb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE antisense_rna_region_table_idrnaregiondb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.antisense_rna_region_table_idrnaregiondb_seq OWNER TO map_viewer;

--
-- TOC entry 2385 (class 0 OID 0)
-- Dependencies: 173
-- Name: antisense_rna_region_table_idrnaregiondb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE antisense_rna_region_table_idrnaregiondb_seq OWNED BY antisense_rna_region_table.idrnaregiondb;


--
-- TOC entry 174 (class 1259 OID 1047263)
-- Name: arrowtypedata; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE arrowtypedata (
    iddb integer NOT NULL,
    angle double precision NOT NULL,
    arrowlinetype integer,
    arrowtype integer,
    len double precision NOT NULL,
    linetype integer
);


ALTER TABLE public.arrowtypedata OWNER TO map_viewer;

--
-- TOC entry 175 (class 1259 OID 1047266)
-- Name: arrowtypedata_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE arrowtypedata_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.arrowtypedata_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2386 (class 0 OID 0)
-- Dependencies: 175
-- Name: arrowtypedata_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE arrowtypedata_iddb_seq OWNED BY arrowtypedata.iddb;


--
-- TOC entry 176 (class 1259 OID 1047268)
-- Name: cacheentry; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE cacheentry (
    iddb integer NOT NULL,
    accessed timestamp without time zone,
    value text
);


ALTER TABLE public.cacheentry OWNER TO map_viewer;

--
-- TOC entry 177 (class 1259 OID 1047274)
-- Name: cachequery; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE cachequery (
    iddb integer NOT NULL,
    accessed timestamp without time zone,
    query text,
    value text
);


ALTER TABLE public.cachequery OWNER TO map_viewer;

--
-- TOC entry 178 (class 1259 OID 1047280)
-- Name: cachequery_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE cachequery_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cachequery_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2387 (class 0 OID 0)
-- Dependencies: 178
-- Name: cachequery_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE cachequery_iddb_seq OWNED BY cachequery.iddb;


--
-- TOC entry 179 (class 1259 OID 1047282)
-- Name: feedback; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE feedback (
    feedback_type character varying(31) NOT NULL,
    iddb integer NOT NULL,
    content text,
    coordinates character varying(255),
    deleted boolean NOT NULL,
    email character varying(255),
    name character varying(255),
    removereason character varying(255),
    tableid integer,
    tablename character varying(255),
    pinned boolean,
    model_iddb integer,
    user_iddb integer
);


ALTER TABLE public.feedback OWNER TO map_viewer;

--
-- TOC entry 180 (class 1259 OID 1047288)
-- Name: feedback_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE feedback_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.feedback_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2388 (class 0 OID 0)
-- Dependencies: 180
-- Name: feedback_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE feedback_iddb_seq OWNED BY feedback.iddb;


--
-- TOC entry 181 (class 1259 OID 1047290)
-- Name: layer_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layer_table (
    iddb integer NOT NULL,
    layerid character varying(255),
    locked boolean NOT NULL,
    name character varying(255),
    visible boolean NOT NULL,
    model_iddb integer
);


ALTER TABLE public.layer_table OWNER TO map_viewer;

--
-- TOC entry 182 (class 1259 OID 1047296)
-- Name: layer_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE layer_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.layer_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2389 (class 0 OID 0)
-- Dependencies: 182
-- Name: layer_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE layer_table_iddb_seq OWNED BY layer_table.iddb;


--
-- TOC entry 183 (class 1259 OID 1047298)
-- Name: layer_table_layerline; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layer_table_layerline (
    layer_table_iddb integer NOT NULL,
    lines_iddb integer NOT NULL,
    idx integer NOT NULL
);


ALTER TABLE public.layer_table_layerline OWNER TO map_viewer;

--
-- TOC entry 184 (class 1259 OID 1047301)
-- Name: layer_table_layeroval; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layer_table_layeroval (
    layer_table_iddb integer NOT NULL,
    ovals_iddb integer NOT NULL,
    idx integer NOT NULL
);


ALTER TABLE public.layer_table_layeroval OWNER TO map_viewer;

--
-- TOC entry 185 (class 1259 OID 1047304)
-- Name: layer_table_layerrect; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layer_table_layerrect (
    layer_table_iddb integer NOT NULL,
    rectangles_iddb integer NOT NULL,
    idx integer NOT NULL
);


ALTER TABLE public.layer_table_layerrect OWNER TO map_viewer;

--
-- TOC entry 186 (class 1259 OID 1047307)
-- Name: layer_table_layertext; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layer_table_layertext (
    layer_table_iddb integer NOT NULL,
    texts_iddb integer NOT NULL,
    idx integer NOT NULL
);


ALTER TABLE public.layer_table_layertext OWNER TO map_viewer;

--
-- TOC entry 187 (class 1259 OID 1047310)
-- Name: layerline; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layerline (
    iddb integer NOT NULL,
    color bytea,
    linewdith double precision NOT NULL,
    atd_iddb integer,
    line_iddb integer
);


ALTER TABLE public.layerline OWNER TO map_viewer;

--
-- TOC entry 188 (class 1259 OID 1047316)
-- Name: layerline_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE layerline_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.layerline_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2390 (class 0 OID 0)
-- Dependencies: 188
-- Name: layerline_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE layerline_iddb_seq OWNED BY layerline.iddb;


--
-- TOC entry 189 (class 1259 OID 1047318)
-- Name: layeroval; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layeroval (
    iddb integer NOT NULL,
    color bytea,
    height double precision,
    width double precision,
    x double precision,
    y double precision
);


ALTER TABLE public.layeroval OWNER TO map_viewer;

--
-- TOC entry 190 (class 1259 OID 1047324)
-- Name: layeroval_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE layeroval_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.layeroval_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2391 (class 0 OID 0)
-- Dependencies: 190
-- Name: layeroval_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE layeroval_iddb_seq OWNED BY layeroval.iddb;


--
-- TOC entry 191 (class 1259 OID 1047326)
-- Name: layerrect; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layerrect (
    iddb integer NOT NULL,
    color bytea,
    height double precision,
    width double precision,
    x double precision,
    y double precision
);


ALTER TABLE public.layerrect OWNER TO map_viewer;

--
-- TOC entry 192 (class 1259 OID 1047332)
-- Name: layerrect_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE layerrect_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.layerrect_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2392 (class 0 OID 0)
-- Dependencies: 192
-- Name: layerrect_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE layerrect_iddb_seq OWNED BY layerrect.iddb;


--
-- TOC entry 193 (class 1259 OID 1047334)
-- Name: layertext; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layertext (
    iddb integer NOT NULL,
    color bytea,
    fontsize double precision,
    height double precision,
    notes character varying(255),
    width double precision,
    x double precision,
    y double precision
);


ALTER TABLE public.layertext OWNER TO map_viewer;

--
-- TOC entry 194 (class 1259 OID 1047340)
-- Name: layertext_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE layertext_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.layertext_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2393 (class 0 OID 0)
-- Dependencies: 194
-- Name: layertext_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE layertext_iddb_seq OWNED BY layertext.iddb;


--
-- TOC entry 195 (class 1259 OID 1047342)
-- Name: layout; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE layout (
    iddb integer NOT NULL,
    directory character varying(255),
    title character varying(255),
    model_iddb integer
);


ALTER TABLE public.layout OWNER TO map_viewer;

--
-- TOC entry 196 (class 1259 OID 1047348)
-- Name: layout_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE layout_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.layout_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 197 (class 1259 OID 1047350)
-- Name: layout_iddb_seq1; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE layout_iddb_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.layout_iddb_seq1 OWNER TO map_viewer;

--
-- TOC entry 2394 (class 0 OID 0)
-- Dependencies: 197
-- Name: layout_iddb_seq1; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE layout_iddb_seq1 OWNED BY layout.iddb;


--
-- TOC entry 198 (class 1259 OID 1047352)
-- Name: log_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE log_table (
    log_type_db character varying(31) NOT NULL,
    iddb integer NOT NULL,
    description character varying(255),
    "time" timestamp without time zone,
    type integer,
    objectid integer,
    tablename character varying(255),
    user_iddb integer
);


ALTER TABLE public.log_table OWNER TO map_viewer;

--
-- TOC entry 199 (class 1259 OID 1047358)
-- Name: log_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE log_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.log_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2395 (class 0 OID 0)
-- Dependencies: 199
-- Name: log_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE log_table_iddb_seq OWNED BY log_table.iddb;


--
-- TOC entry 200 (class 1259 OID 1047360)
-- Name: mappath; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE mappath (
    iddb integer NOT NULL,
    length double precision,
    beginnode_iddb integer NOT NULL,
    endnode_iddb integer NOT NULL
);


ALTER TABLE public.mappath OWNER TO map_viewer;

--
-- TOC entry 201 (class 1259 OID 1047363)
-- Name: mappath_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE mappath_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.mappath_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2396 (class 0 OID 0)
-- Dependencies: 201
-- Name: mappath_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE mappath_iddb_seq OWNED BY mappath.iddb;


--
-- TOC entry 202 (class 1259 OID 1047365)
-- Name: mappathnode; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE mappathnode (
    iddb integer NOT NULL,
    element_iddb integer,
    mappath_iddb integer NOT NULL,
    reaction_iddb integer
);


ALTER TABLE public.mappathnode OWNER TO map_viewer;

--
-- TOC entry 203 (class 1259 OID 1047368)
-- Name: mappathnode_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE mappathnode_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.mappathnode_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2397 (class 0 OID 0)
-- Dependencies: 203
-- Name: mappathnode_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE mappathnode_iddb_seq OWNED BY mappathnode.iddb;


--
-- TOC entry 204 (class 1259 OID 1047370)
-- Name: miriam_data_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE miriam_data_table (
    iddb integer NOT NULL,
    datatypeuri character varying(255),
    relationtype character varying(255),
    resource character varying(255),
    species_iddb integer
);


ALTER TABLE public.miriam_data_table OWNER TO map_viewer;

--
-- TOC entry 205 (class 1259 OID 1047376)
-- Name: miriam_data_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE miriam_data_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.miriam_data_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2398 (class 0 OID 0)
-- Dependencies: 205
-- Name: miriam_data_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE miriam_data_table_iddb_seq OWNED BY miriam_data_table.iddb;


--
-- TOC entry 206 (class 1259 OID 1047378)
-- Name: missingconnection; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE missingconnection (
    iddb integer NOT NULL,
    description text,
    link text,
    name character varying(255),
    score double precision NOT NULL,
    type integer,
    element_iddb integer NOT NULL
);


ALTER TABLE public.missingconnection OWNER TO map_viewer;

--
-- TOC entry 207 (class 1259 OID 1047384)
-- Name: missingconnection_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE missingconnection_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.missingconnection_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2399 (class 0 OID 0)
-- Dependencies: 207
-- Name: missingconnection_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE missingconnection_iddb_seq OWNED BY missingconnection.iddb;


--
-- TOC entry 208 (class 1259 OID 1047386)
-- Name: model_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE model_table (
    iddb integer NOT NULL,
    creationdate timestamp without time zone,
    height double precision,
    mapversion character varying(255),
    notes character varying(255),
    shortdescription character varying(255),
    tilesize integer NOT NULL,
    width double precision,
    zoomlevels integer NOT NULL,
    project_iddb integer NOT NULL
);


ALTER TABLE public.model_table OWNER TO map_viewer;

--
-- TOC entry 209 (class 1259 OID 1047392)
-- Name: model_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE model_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.model_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2400 (class 0 OID 0)
-- Dependencies: 209
-- Name: model_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE model_table_iddb_seq OWNED BY model_table.iddb;


--
-- TOC entry 210 (class 1259 OID 1047394)
-- Name: modification_residue_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE modification_residue_table (
    idmodificationresiduedb integer NOT NULL,
    angle double precision,
    id character varying(255),
    name character varying(255),
    side character varying(255),
    size double precision,
    state character varying(255),
    idspeciesdb integer NOT NULL
);


ALTER TABLE public.modification_residue_table OWNER TO map_viewer;

--
-- TOC entry 211 (class 1259 OID 1047400)
-- Name: modification_residue_table_idmodificationresiduedb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE modification_residue_table_idmodificationresiduedb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.modification_residue_table_idmodificationresiduedb_seq OWNER TO map_viewer;

--
-- TOC entry 2401 (class 0 OID 0)
-- Dependencies: 211
-- Name: modification_residue_table_idmodificationresiduedb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE modification_residue_table_idmodificationresiduedb_seq OWNED BY modification_residue_table.idmodificationresiduedb;


--
-- TOC entry 212 (class 1259 OID 1047402)
-- Name: node_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE node_table (
    node_type_db character varying(31) NOT NULL,
    iddb integer NOT NULL,
    nodeoperatorforinput_iddb integer,
    nodeoperatorforoutput_iddb integer,
    line_iddb integer,
    reaction_iddb integer,
    alias_iddb integer,
    element_iddb integer,
    parent_iddb integer
);


ALTER TABLE public.node_table OWNER TO map_viewer;

--
-- TOC entry 213 (class 1259 OID 1047405)
-- Name: node_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE node_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2402 (class 0 OID 0)
-- Dependencies: 213
-- Name: node_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE node_table_iddb_seq OWNED BY node_table.iddb;


--
-- TOC entry 214 (class 1259 OID 1047407)
-- Name: point_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE point_table (
    iddb integer NOT NULL,
    point_val character varying(255),
    idx integer NOT NULL
);


ALTER TABLE public.point_table OWNER TO map_viewer;

--
-- TOC entry 215 (class 1259 OID 1047410)
-- Name: polylinedata; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE polylinedata (
    iddb integer NOT NULL,
    color bytea,
    type integer,
    width double precision NOT NULL,
    beginatd_iddb integer,
    endatd_iddb integer
);


ALTER TABLE public.polylinedata OWNER TO map_viewer;

--
-- TOC entry 216 (class 1259 OID 1047416)
-- Name: polylinedata_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE polylinedata_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.polylinedata_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2403 (class 0 OID 0)
-- Dependencies: 216
-- Name: polylinedata_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE polylinedata_iddb_seq OWNED BY polylinedata.iddb;


--
-- TOC entry 217 (class 1259 OID 1047418)
-- Name: privilege_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE privilege_table (
    privilege_class_type_db character varying(31) NOT NULL,
    iddb integer NOT NULL,
    level integer NOT NULL,
    type integer,
    idobject integer,
    user_iddb integer
);


ALTER TABLE public.privilege_table OWNER TO map_viewer;

--
-- TOC entry 218 (class 1259 OID 1047421)
-- Name: privilege_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE privilege_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.privilege_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2404 (class 0 OID 0)
-- Dependencies: 218
-- Name: privilege_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE privilege_table_iddb_seq OWNED BY privilege_table.iddb;


--
-- TOC entry 219 (class 1259 OID 1047423)
-- Name: project_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE project_table (
    iddb integer NOT NULL,
    name character varying(255),
    progress double precision NOT NULL,
    status integer,
    visible boolean NOT NULL
);


ALTER TABLE public.project_table OWNER TO map_viewer;

--
-- TOC entry 220 (class 1259 OID 1047426)
-- Name: project_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE project_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.project_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2405 (class 0 OID 0)
-- Dependencies: 220
-- Name: project_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE project_table_iddb_seq OWNED BY project_table.iddb;


--
-- TOC entry 221 (class 1259 OID 1047428)
-- Name: reaction_miriam; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE reaction_miriam (
    reaction_id integer NOT NULL,
    miriam_id integer NOT NULL
);


ALTER TABLE public.reaction_miriam OWNER TO map_viewer;

--
-- TOC entry 222 (class 1259 OID 1047431)
-- Name: reaction_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE reaction_table (
    reaction_type_db character varying(31) NOT NULL,
    iddb integer NOT NULL,
    idreaction character varying(255),
    kineticlaw boolean NOT NULL,
    metaid character varying(255),
    name character varying(255),
    notes text,
    reversible boolean NOT NULL,
    type character varying(255),
    model_iddb integer
);


ALTER TABLE public.reaction_table OWNER TO map_viewer;

--
-- TOC entry 223 (class 1259 OID 1047437)
-- Name: reaction_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE reaction_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.reaction_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2406 (class 0 OID 0)
-- Dependencies: 223
-- Name: reaction_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE reaction_table_iddb_seq OWNED BY reaction_table.iddb;


--
-- TOC entry 224 (class 1259 OID 1047439)
-- Name: references_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE references_table (
    reference_id integer NOT NULL,
    reference text
);


ALTER TABLE public.references_table OWNER TO map_viewer;

--
-- TOC entry 225 (class 1259 OID 1047445)
-- Name: search_index_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE search_index_table (
    iddb integer NOT NULL,
    value character varying(255),
    weight integer,
    source_iddb integer
);


ALTER TABLE public.search_index_table OWNER TO map_viewer;

--
-- TOC entry 226 (class 1259 OID 1047448)
-- Name: search_index_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE search_index_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.search_index_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 227 (class 1259 OID 1047450)
-- Name: search_index_table_iddb_seq1; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE search_index_table_iddb_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.search_index_table_iddb_seq1 OWNER TO map_viewer;

--
-- TOC entry 2407 (class 0 OID 0)
-- Dependencies: 227
-- Name: search_index_table_iddb_seq1; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE search_index_table_iddb_seq1 OWNED BY search_index_table.iddb;


--
-- TOC entry 228 (class 1259 OID 1047452)
-- Name: species_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE species_table (
    species_type_db character varying(31) NOT NULL,
    iddb integer NOT NULL,
    compartmentid character varying(255),
    metaid character varying(255),
    name character varying(255),
    charge integer,
    idspecies character varying(255),
    initialamount integer,
    initialconcentration integer,
    notes text,
    onlysubstanceunits boolean,
    positiontocompartment character varying(255),
    type character varying(255),
    antisensernaid character varying(255),
    homodimer integer,
    hypothetical boolean,
    degradedid character varying(255),
    drugid character varying(255),
    geneid character varying(255),
    structuralstate character varying(255),
    ionid character varying(255),
    phenotypeid character varying(255),
    idprotein character varying(255),
    rnaid character varying(255),
    simplemoleculeid character varying(255),
    unknownid character varying(255),
    complex_iddb integer,
    model_iddb integer,
    parent_iddb integer
);


ALTER TABLE public.species_table OWNER TO map_viewer;

--
-- TOC entry 229 (class 1259 OID 1047458)
-- Name: species_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE species_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.species_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2408 (class 0 OID 0)
-- Dependencies: 229
-- Name: species_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE species_table_iddb_seq OWNED BY species_table.iddb;


--
-- TOC entry 230 (class 1259 OID 1047460)
-- Name: unified_node_elements; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE unified_node_elements (
    iddb_node integer NOT NULL,
    iddb_element integer NOT NULL
);


ALTER TABLE public.unified_node_elements OWNER TO map_viewer;

--
-- TOC entry 231 (class 1259 OID 1047463)
-- Name: unifiednode; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE unifiednode (
    iddb integer NOT NULL
);


ALTER TABLE public.unifiednode OWNER TO map_viewer;

--
-- TOC entry 232 (class 1259 OID 1047466)
-- Name: unifiednode_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE unifiednode_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.unifiednode_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2409 (class 0 OID 0)
-- Dependencies: 232
-- Name: unifiednode_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE unifiednode_iddb_seq OWNED BY unifiednode.iddb;


--
-- TOC entry 233 (class 1259 OID 1047468)
-- Name: user_table; Type: TABLE; Schema: public; Owner: map_viewer; Tablespace: 
--

CREATE TABLE user_table (
    iddb integer NOT NULL,
    cryptedpassword character varying(255),
    email character varying(255),
    login character varying(255),
    name character varying(255),
    surname character varying(255)
);


ALTER TABLE public.user_table OWNER TO map_viewer;

--
-- TOC entry 234 (class 1259 OID 1047474)
-- Name: user_table_iddb_seq; Type: SEQUENCE; Schema: public; Owner: map_viewer
--

CREATE SEQUENCE user_table_iddb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_table_iddb_seq OWNER TO map_viewer;

--
-- TOC entry 2410 (class 0 OID 0)
-- Dependencies: 234
-- Name: user_table_iddb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: map_viewer
--

ALTER SEQUENCE user_table_iddb_seq OWNED BY user_table.iddb;


--
-- TOC entry 2040 (class 2604 OID 1047476)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY alias_table ALTER COLUMN iddb SET DEFAULT nextval('alias_table_iddb_seq'::regclass);


--
-- TOC entry 2041 (class 2604 OID 1047477)
-- Name: idrnaregiondb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY antisense_rna_region_table ALTER COLUMN idrnaregiondb SET DEFAULT nextval('antisense_rna_region_table_idrnaregiondb_seq'::regclass);


--
-- TOC entry 2042 (class 2604 OID 1047478)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY arrowtypedata ALTER COLUMN iddb SET DEFAULT nextval('arrowtypedata_iddb_seq'::regclass);


--
-- TOC entry 2043 (class 2604 OID 1047479)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY cachequery ALTER COLUMN iddb SET DEFAULT nextval('cachequery_iddb_seq'::regclass);


--
-- TOC entry 2044 (class 2604 OID 1047480)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY feedback ALTER COLUMN iddb SET DEFAULT nextval('feedback_iddb_seq'::regclass);


--
-- TOC entry 2045 (class 2604 OID 1047481)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table ALTER COLUMN iddb SET DEFAULT nextval('layer_table_iddb_seq'::regclass);


--
-- TOC entry 2046 (class 2604 OID 1047482)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layerline ALTER COLUMN iddb SET DEFAULT nextval('layerline_iddb_seq'::regclass);


--
-- TOC entry 2047 (class 2604 OID 1047483)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layeroval ALTER COLUMN iddb SET DEFAULT nextval('layeroval_iddb_seq'::regclass);


--
-- TOC entry 2048 (class 2604 OID 1047484)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layerrect ALTER COLUMN iddb SET DEFAULT nextval('layerrect_iddb_seq'::regclass);


--
-- TOC entry 2049 (class 2604 OID 1047485)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layertext ALTER COLUMN iddb SET DEFAULT nextval('layertext_iddb_seq'::regclass);


--
-- TOC entry 2050 (class 2604 OID 1047486)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layout ALTER COLUMN iddb SET DEFAULT nextval('layout_iddb_seq1'::regclass);


--
-- TOC entry 2051 (class 2604 OID 1047487)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY log_table ALTER COLUMN iddb SET DEFAULT nextval('log_table_iddb_seq'::regclass);


--
-- TOC entry 2052 (class 2604 OID 1047488)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY mappath ALTER COLUMN iddb SET DEFAULT nextval('mappath_iddb_seq'::regclass);


--
-- TOC entry 2053 (class 2604 OID 1047489)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY mappathnode ALTER COLUMN iddb SET DEFAULT nextval('mappathnode_iddb_seq'::regclass);


--
-- TOC entry 2054 (class 2604 OID 1047490)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY miriam_data_table ALTER COLUMN iddb SET DEFAULT nextval('miriam_data_table_iddb_seq'::regclass);


--
-- TOC entry 2055 (class 2604 OID 1047491)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY missingconnection ALTER COLUMN iddb SET DEFAULT nextval('missingconnection_iddb_seq'::regclass);


--
-- TOC entry 2056 (class 2604 OID 1047492)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY model_table ALTER COLUMN iddb SET DEFAULT nextval('model_table_iddb_seq'::regclass);


--
-- TOC entry 2057 (class 2604 OID 1047493)
-- Name: idmodificationresiduedb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY modification_residue_table ALTER COLUMN idmodificationresiduedb SET DEFAULT nextval('modification_residue_table_idmodificationresiduedb_seq'::regclass);


--
-- TOC entry 2058 (class 2604 OID 1047494)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table ALTER COLUMN iddb SET DEFAULT nextval('node_table_iddb_seq'::regclass);


--
-- TOC entry 2059 (class 2604 OID 1047495)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY polylinedata ALTER COLUMN iddb SET DEFAULT nextval('polylinedata_iddb_seq'::regclass);


--
-- TOC entry 2060 (class 2604 OID 1047496)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY privilege_table ALTER COLUMN iddb SET DEFAULT nextval('privilege_table_iddb_seq'::regclass);


--
-- TOC entry 2061 (class 2604 OID 1047497)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY project_table ALTER COLUMN iddb SET DEFAULT nextval('project_table_iddb_seq'::regclass);


--
-- TOC entry 2062 (class 2604 OID 1047498)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY reaction_table ALTER COLUMN iddb SET DEFAULT nextval('reaction_table_iddb_seq'::regclass);


--
-- TOC entry 2063 (class 2604 OID 1047499)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY search_index_table ALTER COLUMN iddb SET DEFAULT nextval('search_index_table_iddb_seq1'::regclass);


--
-- TOC entry 2064 (class 2604 OID 1047500)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY species_table ALTER COLUMN iddb SET DEFAULT nextval('species_table_iddb_seq'::regclass);


--
-- TOC entry 2065 (class 2604 OID 1047501)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY unifiednode ALTER COLUMN iddb SET DEFAULT nextval('unifiednode_iddb_seq'::regclass);


--
-- TOC entry 2066 (class 2604 OID 1047502)
-- Name: iddb; Type: DEFAULT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY user_table ALTER COLUMN iddb SET DEFAULT nextval('user_table_iddb_seq'::regclass);


--
-- TOC entry 2311 (class 0 OID 1047247)
-- Dependencies: 170
-- Data for Name: alias_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY alias_table (alias_type_db, iddb, aliasid, color, fontsize, height, maxvisibilitylevel, minvisibilitylevel, visibilitylevel, width, x, y, innerwidth, namepoint, outerwidth, thickness, title, activity, linewidth, state, compartmentalias_iddb, model_iddb, parent_iddb, idcompartmentdb, idcomplexaliasdb, idspeciesdb) FROM stdin;
\.


--
-- TOC entry 2411 (class 0 OID 0)
-- Dependencies: 171
-- Name: alias_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('alias_table_iddb_seq', 18198, true);


--
-- TOC entry 2313 (class 0 OID 1047255)
-- Dependencies: 172
-- Data for Name: antisense_rna_region_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY antisense_rna_region_table (idantisensernaregiondb, id, name, pos, size, type, idrnaregiondb, state, idspeciesdb) FROM stdin;
\.


--
-- TOC entry 2412 (class 0 OID 0)
-- Dependencies: 173
-- Name: antisense_rna_region_table_idrnaregiondb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('antisense_rna_region_table_idrnaregiondb_seq', 1, false);


--
-- TOC entry 2315 (class 0 OID 1047263)
-- Dependencies: 174
-- Data for Name: arrowtypedata; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY arrowtypedata (iddb, angle, arrowlinetype, arrowtype, len, linetype) FROM stdin;
\.


--
-- TOC entry 2413 (class 0 OID 0)
-- Dependencies: 175
-- Name: arrowtypedata_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('arrowtypedata_iddb_seq', 45802, true);


--
-- TOC entry 2317 (class 0 OID 1047268)
-- Dependencies: 176
-- Data for Name: cacheentry; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY cacheentry (iddb, accessed, value) FROM stdin;
\.


--
-- TOC entry 2318 (class 0 OID 1047274)
-- Dependencies: 177
-- Data for Name: cachequery; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY cachequery (iddb, accessed, query, value) FROM stdin;
\.


--
-- TOC entry 2414 (class 0 OID 0)
-- Dependencies: 178
-- Name: cachequery_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('cachequery_iddb_seq', 3717, true);


--
-- TOC entry 2320 (class 0 OID 1047282)
-- Dependencies: 179
-- Data for Name: feedback; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY feedback (feedback_type, iddb, content, coordinates, deleted, email, name, removereason, tableid, tablename, pinned, model_iddb, user_iddb) FROM stdin;
\.


--
-- TOC entry 2415 (class 0 OID 0)
-- Dependencies: 180
-- Name: feedback_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('feedback_iddb_seq', 27, true);


--
-- TOC entry 2322 (class 0 OID 1047290)
-- Dependencies: 181
-- Data for Name: layer_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layer_table (iddb, layerid, locked, name, visible, model_iddb) FROM stdin;
\.


--
-- TOC entry 2416 (class 0 OID 0)
-- Dependencies: 182
-- Name: layer_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('layer_table_iddb_seq', 4, true);


--
-- TOC entry 2324 (class 0 OID 1047298)
-- Dependencies: 183
-- Data for Name: layer_table_layerline; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layer_table_layerline (layer_table_iddb, lines_iddb, idx) FROM stdin;
\.


--
-- TOC entry 2325 (class 0 OID 1047301)
-- Dependencies: 184
-- Data for Name: layer_table_layeroval; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layer_table_layeroval (layer_table_iddb, ovals_iddb, idx) FROM stdin;
\.


--
-- TOC entry 2326 (class 0 OID 1047304)
-- Dependencies: 185
-- Data for Name: layer_table_layerrect; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layer_table_layerrect (layer_table_iddb, rectangles_iddb, idx) FROM stdin;
\.


--
-- TOC entry 2327 (class 0 OID 1047307)
-- Dependencies: 186
-- Data for Name: layer_table_layertext; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layer_table_layertext (layer_table_iddb, texts_iddb, idx) FROM stdin;
\.


--
-- TOC entry 2328 (class 0 OID 1047310)
-- Dependencies: 187
-- Data for Name: layerline; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layerline (iddb, color, linewdith, atd_iddb, line_iddb) FROM stdin;
\.


--
-- TOC entry 2417 (class 0 OID 0)
-- Dependencies: 188
-- Name: layerline_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('layerline_iddb_seq', 1, false);


--
-- TOC entry 2330 (class 0 OID 1047318)
-- Dependencies: 189
-- Data for Name: layeroval; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layeroval (iddb, color, height, width, x, y) FROM stdin;
\.


--
-- TOC entry 2418 (class 0 OID 0)
-- Dependencies: 190
-- Name: layeroval_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('layeroval_iddb_seq', 1, false);


--
-- TOC entry 2332 (class 0 OID 1047326)
-- Dependencies: 191
-- Data for Name: layerrect; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layerrect (iddb, color, height, width, x, y) FROM stdin;
\.


--
-- TOC entry 2419 (class 0 OID 0)
-- Dependencies: 192
-- Name: layerrect_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('layerrect_iddb_seq', 1, false);


--
-- TOC entry 2334 (class 0 OID 1047334)
-- Dependencies: 193
-- Data for Name: layertext; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layertext (iddb, color, fontsize, height, notes, width, x, y) FROM stdin;
\.


--
-- TOC entry 2420 (class 0 OID 0)
-- Dependencies: 194
-- Name: layertext_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('layertext_iddb_seq', 104, true);


--
-- TOC entry 2336 (class 0 OID 1047342)
-- Dependencies: 195
-- Data for Name: layout; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY layout (iddb, directory, title, model_iddb) FROM stdin;
5	normal	Normal	3
\.


--
-- TOC entry 2421 (class 0 OID 0)
-- Dependencies: 196
-- Name: layout_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('layout_iddb_seq', 164, true);


--
-- TOC entry 2422 (class 0 OID 0)
-- Dependencies: 197
-- Name: layout_iddb_seq1; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('layout_iddb_seq1', 90, true);


--
-- TOC entry 2339 (class 0 OID 1047352)
-- Dependencies: 198
-- Data for Name: log_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY log_table (log_type_db, iddb, description, "time", type, objectid, tablename, user_iddb) FROM stdin;
\.


--
-- TOC entry 2423 (class 0 OID 0)
-- Dependencies: 199
-- Name: log_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('log_table_iddb_seq', 1, false);


--
-- TOC entry 2341 (class 0 OID 1047360)
-- Dependencies: 200
-- Data for Name: mappath; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY mappath (iddb, length, beginnode_iddb, endnode_iddb) FROM stdin;
\.


--
-- TOC entry 2424 (class 0 OID 0)
-- Dependencies: 201
-- Name: mappath_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('mappath_iddb_seq', 1, false);


--
-- TOC entry 2343 (class 0 OID 1047365)
-- Dependencies: 202
-- Data for Name: mappathnode; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY mappathnode (iddb, element_iddb, mappath_iddb, reaction_iddb) FROM stdin;
\.


--
-- TOC entry 2425 (class 0 OID 0)
-- Dependencies: 203
-- Name: mappathnode_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('mappathnode_iddb_seq', 1, false);


--
-- TOC entry 2345 (class 0 OID 1047370)
-- Dependencies: 204
-- Data for Name: miriam_data_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY miriam_data_table (iddb, datatypeuri, relationtype, resource, species_iddb) FROM stdin;
\.


--
-- TOC entry 2426 (class 0 OID 0)
-- Dependencies: 205
-- Name: miriam_data_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('miriam_data_table_iddb_seq', 98614, true);


--
-- TOC entry 2347 (class 0 OID 1047378)
-- Dependencies: 206
-- Data for Name: missingconnection; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY missingconnection (iddb, description, link, name, score, type, element_iddb) FROM stdin;
\.


--
-- TOC entry 2427 (class 0 OID 0)
-- Dependencies: 207
-- Name: missingconnection_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('missingconnection_iddb_seq', 23235, true);


--
-- TOC entry 2349 (class 0 OID 1047386)
-- Dependencies: 208
-- Data for Name: model_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY model_table (iddb, creationdate, height, mapversion, notes, shortdescription, tilesize, width, zoomlevels, project_iddb) FROM stdin;
3	2014-03-27 15:59:31.321	14285	empty DISEASE MAP	\N	For information on content, functionalities and referencing the Parkinson's disease map, click <a target="_blank" href = "http://minerva.uni.lu/pd_map/">here</a>.	256	25195	7	4
\.


--
-- TOC entry 2428 (class 0 OID 0)
-- Dependencies: 209
-- Name: model_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('model_table_iddb_seq', 24, true);


--
-- TOC entry 2351 (class 0 OID 1047394)
-- Dependencies: 210
-- Data for Name: modification_residue_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY modification_residue_table (idmodificationresiduedb, angle, id, name, side, size, state, idspeciesdb) FROM stdin;
\.


--
-- TOC entry 2429 (class 0 OID 0)
-- Dependencies: 211
-- Name: modification_residue_table_idmodificationresiduedb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('modification_residue_table_idmodificationresiduedb_seq', 1465, true);


--
-- TOC entry 2353 (class 0 OID 1047402)
-- Dependencies: 212
-- Data for Name: node_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY node_table (node_type_db, iddb, nodeoperatorforinput_iddb, nodeoperatorforoutput_iddb, line_iddb, reaction_iddb, alias_iddb, element_iddb, parent_iddb) FROM stdin;
\.


--
-- TOC entry 2430 (class 0 OID 0)
-- Dependencies: 213
-- Name: node_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('node_table_iddb_seq', 22901, true);


--
-- TOC entry 2355 (class 0 OID 1047407)
-- Dependencies: 214
-- Data for Name: point_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY point_table (iddb, point_val, idx) FROM stdin;
\.


--
-- TOC entry 2356 (class 0 OID 1047410)
-- Dependencies: 215
-- Data for Name: polylinedata; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY polylinedata (iddb, color, type, width, beginatd_iddb, endatd_iddb) FROM stdin;
\.


--
-- TOC entry 2431 (class 0 OID 0)
-- Dependencies: 216
-- Name: polylinedata_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('polylinedata_iddb_seq', 22901, true);


--
-- TOC entry 2358 (class 0 OID 1047418)
-- Dependencies: 217
-- Data for Name: privilege_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY privilege_table (privilege_class_type_db, iddb, level, type, idobject, user_iddb) FROM stdin;
OBJECT_PRIVILEGE	71	1	0	1	1
OBJECT_PRIVILEGE	72	1	2	1	1
OBJECT_PRIVILEGE	73	1	3	1	1
BASIC_PRIVILEGE	162	1	5	0	1
BASIC_PRIVILEGE	163	1	6	0	1
BASIC_PRIVILEGE	164	1	9	0	1
OBJECT_PRIVILEGE	77	1	0	1	3
OBJECT_PRIVILEGE	78	1	0	6	1
OBJECT_PRIVILEGE	79	1	2	6	1
OBJECT_PRIVILEGE	80	1	3	6	1
BASIC_PRIVILEGE	165	1	10	0	1
OBJECT_PRIVILEGE	84	1	0	6	3
OBJECT_PRIVILEGE	15	1	0	4	1
OBJECT_PRIVILEGE	16	1	2	4	1
OBJECT_PRIVILEGE	17	1	3	4	1
OBJECT_PRIVILEGE	21	1	0	4	3
OBJECT_PRIVILEGE	85	1	0	7	1
OBJECT_PRIVILEGE	86	1	2	7	1
OBJECT_PRIVILEGE	87	1	3	7	1
OBJECT_PRIVILEGE	91	1	0	7	3
OBJECT_PRIVILEGE	92	1	0	8	1
OBJECT_PRIVILEGE	93	1	2	8	1
OBJECT_PRIVILEGE	94	1	3	8	1
OBJECT_PRIVILEGE	98	1	0	8	3
OBJECT_PRIVILEGE	99	1	0	9	1
OBJECT_PRIVILEGE	100	1	2	9	1
OBJECT_PRIVILEGE	101	1	3	9	1
OBJECT_PRIVILEGE	105	1	0	9	3
OBJECT_PRIVILEGE	106	1	0	10	1
OBJECT_PRIVILEGE	107	1	2	10	1
OBJECT_PRIVILEGE	108	1	3	10	1
OBJECT_PRIVILEGE	112	1	0	10	3
OBJECT_PRIVILEGE	113	1	0	11	1
OBJECT_PRIVILEGE	114	1	2	11	1
OBJECT_PRIVILEGE	115	1	3	11	1
OBJECT_PRIVILEGE	119	1	0	11	3
OBJECT_PRIVILEGE	120	1	0	17	1
OBJECT_PRIVILEGE	121	1	2	17	1
OBJECT_PRIVILEGE	122	1	3	17	1
OBJECT_PRIVILEGE	126	1	0	17	3
OBJECT_PRIVILEGE	127	1	0	18	1
OBJECT_PRIVILEGE	128	1	2	18	1
OBJECT_PRIVILEGE	129	1	3	18	1
OBJECT_PRIVILEGE	133	1	0	18	3
OBJECT_PRIVILEGE	134	1	0	19	1
OBJECT_PRIVILEGE	135	1	2	19	1
OBJECT_PRIVILEGE	136	1	3	19	1
OBJECT_PRIVILEGE	140	1	0	19	3
OBJECT_PRIVILEGE	141	1	0	20	1
OBJECT_PRIVILEGE	142	1	2	20	1
OBJECT_PRIVILEGE	143	1	3	20	1
OBJECT_PRIVILEGE	147	1	0	20	3
OBJECT_PRIVILEGE	148	1	0	21	1
OBJECT_PRIVILEGE	149	1	2	21	1
OBJECT_PRIVILEGE	150	1	3	21	1
OBJECT_PRIVILEGE	154	1	0	21	3
OBJECT_PRIVILEGE	155	1	0	22	1
OBJECT_PRIVILEGE	156	1	2	22	1
OBJECT_PRIVILEGE	157	1	3	22	1
OBJECT_PRIVILEGE	161	1	0	22	3
\.


--
-- TOC entry 2432 (class 0 OID 0)
-- Dependencies: 218
-- Name: privilege_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('privilege_table_iddb_seq', 165, true);


--
-- TOC entry 2360 (class 0 OID 1047423)
-- Dependencies: 219
-- Data for Name: project_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY project_table (iddb, name, progress, status, visible) FROM stdin;
4	empty	0	0	t
\.


--
-- TOC entry 2433 (class 0 OID 0)
-- Dependencies: 220
-- Name: project_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('project_table_iddb_seq', 22, true);


--
-- TOC entry 2362 (class 0 OID 1047428)
-- Dependencies: 221
-- Data for Name: reaction_miriam; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY reaction_miriam (reaction_id, miriam_id) FROM stdin;
\.


--
-- TOC entry 2363 (class 0 OID 1047431)
-- Dependencies: 222
-- Data for Name: reaction_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY reaction_table (reaction_type_db, iddb, idreaction, kineticlaw, metaid, name, notes, reversible, type, model_iddb) FROM stdin;
\.


--
-- TOC entry 2434 (class 0 OID 0)
-- Dependencies: 223
-- Name: reaction_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('reaction_table_iddb_seq', 6640, true);


--
-- TOC entry 2365 (class 0 OID 1047439)
-- Dependencies: 224
-- Data for Name: references_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY references_table (reference_id, reference) FROM stdin;
\.


--
-- TOC entry 2366 (class 0 OID 1047445)
-- Dependencies: 225
-- Data for Name: search_index_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY search_index_table (iddb, value, weight, source_iddb) FROM stdin;
\.


--
-- TOC entry 2435 (class 0 OID 0)
-- Dependencies: 226
-- Name: search_index_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('search_index_table_iddb_seq', 15, true);


--
-- TOC entry 2436 (class 0 OID 0)
-- Dependencies: 227
-- Name: search_index_table_iddb_seq1; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('search_index_table_iddb_seq1', 1, false);


--
-- TOC entry 2369 (class 0 OID 1047452)
-- Dependencies: 228
-- Data for Name: species_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY species_table (species_type_db, iddb, compartmentid, metaid, name, charge, idspecies, initialamount, initialconcentration, notes, onlysubstanceunits, positiontocompartment, type, antisensernaid, homodimer, hypothetical, degradedid, drugid, geneid, structuralstate, ionid, phenotypeid, idprotein, rnaid, simplemoleculeid, unknownid, complex_iddb, model_iddb, parent_iddb) FROM stdin;
\.


--
-- TOC entry 2437 (class 0 OID 0)
-- Dependencies: 229
-- Name: species_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('species_table_iddb_seq', 15168, true);


--
-- TOC entry 2371 (class 0 OID 1047460)
-- Dependencies: 230
-- Data for Name: unified_node_elements; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY unified_node_elements (iddb_node, iddb_element) FROM stdin;
\.


--
-- TOC entry 2372 (class 0 OID 1047463)
-- Dependencies: 231
-- Data for Name: unifiednode; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY unifiednode (iddb) FROM stdin;
\.


--
-- TOC entry 2438 (class 0 OID 0)
-- Dependencies: 232
-- Name: unifiednode_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('unifiednode_iddb_seq', 9891, true);


--
-- TOC entry 2374 (class 0 OID 1047468)
-- Dependencies: 233
-- Data for Name: user_table; Type: TABLE DATA; Schema: public; Owner: map_viewer
--

COPY user_table (iddb, cryptedpassword, email, login, name, surname) FROM stdin;
3	d41d8cd98f00b204e9800998ecf8427e	\N	anonymous	\N	\N
1	21232f297a57a5a743894a0e4a801fc3	\N	admin	\N	\N
\.


--
-- TOC entry 2439 (class 0 OID 0)
-- Dependencies: 234
-- Name: user_table_iddb_seq; Type: SEQUENCE SET; Schema: public; Owner: map_viewer
--

SELECT pg_catalog.setval('user_table_iddb_seq', 3, true);


--
-- TOC entry 2068 (class 2606 OID 1047592)
-- Name: alias_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY alias_table
    ADD CONSTRAINT alias_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2070 (class 2606 OID 1047594)
-- Name: antisense_rna_region_table_idantisensernaregiondb_key; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY antisense_rna_region_table
    ADD CONSTRAINT antisense_rna_region_table_idantisensernaregiondb_key UNIQUE (idantisensernaregiondb);


--
-- TOC entry 2072 (class 2606 OID 1047596)
-- Name: antisense_rna_region_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY antisense_rna_region_table
    ADD CONSTRAINT antisense_rna_region_table_pkey PRIMARY KEY (idrnaregiondb);


--
-- TOC entry 2074 (class 2606 OID 1047598)
-- Name: arrowtypedata_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY arrowtypedata
    ADD CONSTRAINT arrowtypedata_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2076 (class 2606 OID 1047600)
-- Name: cacheentry_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY cacheentry
    ADD CONSTRAINT cacheentry_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2078 (class 2606 OID 1047602)
-- Name: cachequery_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY cachequery
    ADD CONSTRAINT cachequery_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2080 (class 2606 OID 1047604)
-- Name: feedback_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY feedback
    ADD CONSTRAINT feedback_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2084 (class 2606 OID 1047606)
-- Name: layer_table_layerline_lines_iddb_key; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layerline
    ADD CONSTRAINT layer_table_layerline_lines_iddb_key UNIQUE (lines_iddb);


--
-- TOC entry 2086 (class 2606 OID 1047608)
-- Name: layer_table_layerline_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layerline
    ADD CONSTRAINT layer_table_layerline_pkey PRIMARY KEY (layer_table_iddb, idx);


--
-- TOC entry 2088 (class 2606 OID 1047610)
-- Name: layer_table_layeroval_ovals_iddb_key; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layeroval
    ADD CONSTRAINT layer_table_layeroval_ovals_iddb_key UNIQUE (ovals_iddb);


--
-- TOC entry 2090 (class 2606 OID 1047612)
-- Name: layer_table_layeroval_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layeroval
    ADD CONSTRAINT layer_table_layeroval_pkey PRIMARY KEY (layer_table_iddb, idx);


--
-- TOC entry 2092 (class 2606 OID 1047614)
-- Name: layer_table_layerrect_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layerrect
    ADD CONSTRAINT layer_table_layerrect_pkey PRIMARY KEY (layer_table_iddb, idx);


--
-- TOC entry 2094 (class 2606 OID 1047616)
-- Name: layer_table_layerrect_rectangles_iddb_key; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layerrect
    ADD CONSTRAINT layer_table_layerrect_rectangles_iddb_key UNIQUE (rectangles_iddb);


--
-- TOC entry 2096 (class 2606 OID 1047618)
-- Name: layer_table_layertext_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layertext
    ADD CONSTRAINT layer_table_layertext_pkey PRIMARY KEY (layer_table_iddb, idx);


--
-- TOC entry 2098 (class 2606 OID 1047620)
-- Name: layer_table_layertext_texts_iddb_key; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table_layertext
    ADD CONSTRAINT layer_table_layertext_texts_iddb_key UNIQUE (texts_iddb);


--
-- TOC entry 2082 (class 2606 OID 1047622)
-- Name: layer_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layer_table
    ADD CONSTRAINT layer_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2100 (class 2606 OID 1047624)
-- Name: layerline_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layerline
    ADD CONSTRAINT layerline_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2102 (class 2606 OID 1047626)
-- Name: layeroval_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layeroval
    ADD CONSTRAINT layeroval_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2104 (class 2606 OID 1047628)
-- Name: layerrect_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layerrect
    ADD CONSTRAINT layerrect_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2106 (class 2606 OID 1047630)
-- Name: layertext_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layertext
    ADD CONSTRAINT layertext_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2108 (class 2606 OID 1047632)
-- Name: layout_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY layout
    ADD CONSTRAINT layout_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2110 (class 2606 OID 1047634)
-- Name: log_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY log_table
    ADD CONSTRAINT log_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2112 (class 2606 OID 1047636)
-- Name: mappath_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY mappath
    ADD CONSTRAINT mappath_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2114 (class 2606 OID 1047638)
-- Name: mappathnode_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY mappathnode
    ADD CONSTRAINT mappathnode_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2116 (class 2606 OID 1047640)
-- Name: miriam_data_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY miriam_data_table
    ADD CONSTRAINT miriam_data_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2118 (class 2606 OID 1047642)
-- Name: missingconnection_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY missingconnection
    ADD CONSTRAINT missingconnection_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2120 (class 2606 OID 1047644)
-- Name: model_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY model_table
    ADD CONSTRAINT model_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2122 (class 2606 OID 1047646)
-- Name: modification_residue_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY modification_residue_table
    ADD CONSTRAINT modification_residue_table_pkey PRIMARY KEY (idmodificationresiduedb);


--
-- TOC entry 2124 (class 2606 OID 1047648)
-- Name: node_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT node_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2126 (class 2606 OID 1047651)
-- Name: point_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY point_table
    ADD CONSTRAINT point_table_pkey PRIMARY KEY (iddb, idx);


--
-- TOC entry 2128 (class 2606 OID 1047654)
-- Name: polylinedata_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY polylinedata
    ADD CONSTRAINT polylinedata_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2130 (class 2606 OID 1047656)
-- Name: privilege_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY privilege_table
    ADD CONSTRAINT privilege_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2132 (class 2606 OID 1047658)
-- Name: project_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY project_table
    ADD CONSTRAINT project_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2134 (class 2606 OID 1047660)
-- Name: reaction_miriam_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY reaction_miriam
    ADD CONSTRAINT reaction_miriam_pkey PRIMARY KEY (reaction_id, miriam_id);


--
-- TOC entry 2136 (class 2606 OID 1047662)
-- Name: reaction_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY reaction_table
    ADD CONSTRAINT reaction_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2138 (class 2606 OID 1047665)
-- Name: search_index_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY search_index_table
    ADD CONSTRAINT search_index_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2140 (class 2606 OID 1047667)
-- Name: species_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY species_table
    ADD CONSTRAINT species_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2142 (class 2606 OID 1047669)
-- Name: unified_node_elements_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY unified_node_elements
    ADD CONSTRAINT unified_node_elements_pkey PRIMARY KEY (iddb_node, iddb_element);


--
-- TOC entry 2144 (class 2606 OID 1047673)
-- Name: unifiednode_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY unifiednode
    ADD CONSTRAINT unifiednode_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2146 (class 2606 OID 1047675)
-- Name: user_table_pkey; Type: CONSTRAINT; Schema: public; Owner: map_viewer; Tablespace: 
--

ALTER TABLE ONLY user_table
    ADD CONSTRAINT user_table_pkey PRIMARY KEY (iddb);


--
-- TOC entry 2147 (class 2606 OID 1047676)
-- Name: fk1220391f1e595a8a; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY alias_table
    ADD CONSTRAINT fk1220391f1e595a8a FOREIGN KEY (idspeciesdb) REFERENCES species_table(iddb);


--
-- TOC entry 2148 (class 2606 OID 1047681)
-- Name: fk1220391f28cbc89c; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY alias_table
    ADD CONSTRAINT fk1220391f28cbc89c FOREIGN KEY (idcomplexaliasdb) REFERENCES alias_table(iddb);


--
-- TOC entry 2149 (class 2606 OID 1047686)
-- Name: fk1220391f5720a4be; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY alias_table
    ADD CONSTRAINT fk1220391f5720a4be FOREIGN KEY (idcompartmentdb) REFERENCES species_table(iddb);


--
-- TOC entry 2150 (class 2606 OID 1047691)
-- Name: fk1220391f746527fb; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY alias_table
    ADD CONSTRAINT fk1220391f746527fb FOREIGN KEY (compartmentalias_iddb) REFERENCES alias_table(iddb);


--
-- TOC entry 2151 (class 2606 OID 1047696)
-- Name: fk1220391f911dfddb; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY alias_table
    ADD CONSTRAINT fk1220391f911dfddb FOREIGN KEY (parent_iddb) REFERENCES alias_table(iddb);


--
-- TOC entry 2152 (class 2606 OID 1047701)
-- Name: fk1220391fd07dda99; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY alias_table
    ADD CONSTRAINT fk1220391fd07dda99 FOREIGN KEY (model_iddb) REFERENCES model_table(iddb);


--
-- TOC entry 2167 (class 2606 OID 1047706)
-- Name: fk143908c51b95291e; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layerline
    ADD CONSTRAINT fk143908c51b95291e FOREIGN KEY (atd_iddb) REFERENCES arrowtypedata(iddb);


--
-- TOC entry 2168 (class 2606 OID 1047711)
-- Name: fk143908c5ddccc464; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layerline
    ADD CONSTRAINT fk143908c5ddccc464 FOREIGN KEY (line_iddb) REFERENCES polylinedata(iddb);


--
-- TOC entry 2197 (class 2606 OID 1047716)
-- Name: fk19f9ea0a4f8f9d0a; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY search_index_table
    ADD CONSTRAINT fk19f9ea0a4f8f9d0a FOREIGN KEY (source_iddb) REFERENCES alias_table(iddb);


--
-- TOC entry 2198 (class 2606 OID 1047721)
-- Name: fk19f9ea0af3f38614; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY search_index_table
    ADD CONSTRAINT fk19f9ea0af3f38614 FOREIGN KEY (source_iddb) REFERENCES alias_table(iddb);


--
-- TOC entry 2195 (class 2606 OID 1047726)
-- Name: fk1ccb7638d07dda99; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY reaction_table
    ADD CONSTRAINT fk1ccb7638d07dda99 FOREIGN KEY (model_iddb) REFERENCES model_table(iddb);


--
-- TOC entry 2189 (class 2606 OID 1047733)
-- Name: fk23b8885f4910e2f9; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY point_table
    ADD CONSTRAINT fk23b8885f4910e2f9 FOREIGN KEY (iddb) REFERENCES polylinedata(iddb);


--
-- TOC entry 2178 (class 2606 OID 1047738)
-- Name: fk3197d738b8043c6b; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY model_table
    ADD CONSTRAINT fk3197d738b8043c6b FOREIGN KEY (project_iddb) REFERENCES project_table(iddb);


--
-- TOC entry 2192 (class 2606 OID 1047743)
-- Name: fk37460cc0839f2b6e; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY privilege_table
    ADD CONSTRAINT fk37460cc0839f2b6e FOREIGN KEY (user_iddb) REFERENCES user_table(iddb);


--
-- TOC entry 2202 (class 2606 OID 1047748)
-- Name: fk573952a79b59257d; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY unified_node_elements
    ADD CONSTRAINT fk573952a79b59257d FOREIGN KEY (iddb_node) REFERENCES unifiednode(iddb);


--
-- TOC entry 2203 (class 2606 OID 1047753)
-- Name: fk573952a7b6f23f93; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY unified_node_elements
    ADD CONSTRAINT fk573952a7b6f23f93 FOREIGN KEY (iddb_element) REFERENCES species_table(iddb);


--
-- TOC entry 2182 (class 2606 OID 1047758)
-- Name: fk5cb2435132fc04bd; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT fk5cb2435132fc04bd FOREIGN KEY (nodeoperatorforinput_iddb) REFERENCES node_table(iddb);


--
-- TOC entry 2183 (class 2606 OID 1047763)
-- Name: fk5cb243516a806500; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT fk5cb243516a806500 FOREIGN KEY (nodeoperatorforoutput_iddb) REFERENCES node_table(iddb);


--
-- TOC entry 2184 (class 2606 OID 1047768)
-- Name: fk5cb2435185f7f0ff; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT fk5cb2435185f7f0ff FOREIGN KEY (alias_iddb) REFERENCES alias_table(iddb);


--
-- TOC entry 2185 (class 2606 OID 1047774)
-- Name: fk5cb243519761b59d; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT fk5cb243519761b59d FOREIGN KEY (parent_iddb) REFERENCES reaction_table(iddb);


--
-- TOC entry 2186 (class 2606 OID 1047779)
-- Name: fk5cb24351ddccc464; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT fk5cb24351ddccc464 FOREIGN KEY (line_iddb) REFERENCES polylinedata(iddb);


--
-- TOC entry 2187 (class 2606 OID 1047784)
-- Name: fk5cb24351eb3afa39; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT fk5cb24351eb3afa39 FOREIGN KEY (element_iddb) REFERENCES species_table(iddb);


--
-- TOC entry 2188 (class 2606 OID 1047789)
-- Name: fk5cb24351f8b3fb7e; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY node_table
    ADD CONSTRAINT fk5cb24351f8b3fb7e FOREIGN KEY (reaction_iddb) REFERENCES reaction_table(iddb);


--
-- TOC entry 2190 (class 2606 OID 1047794)
-- Name: fk60d359aa425ee8c7; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY polylinedata
    ADD CONSTRAINT fk60d359aa425ee8c7 FOREIGN KEY (beginatd_iddb) REFERENCES arrowtypedata(iddb);


--
-- TOC entry 2191 (class 2606 OID 1047799)
-- Name: fk60d359aabc19a6f9; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY polylinedata
    ADD CONSTRAINT fk60d359aabc19a6f9 FOREIGN KEY (endatd_iddb) REFERENCES arrowtypedata(iddb);


--
-- TOC entry 2193 (class 2606 OID 1047804)
-- Name: fk71295b151586e740; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY reaction_miriam
    ADD CONSTRAINT fk71295b151586e740 FOREIGN KEY (reaction_id) REFERENCES reaction_table(iddb);


--
-- TOC entry 2194 (class 2606 OID 1047809)
-- Name: fk71295b1567cc9103; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY reaction_miriam
    ADD CONSTRAINT fk71295b1567cc9103 FOREIGN KEY (miriam_id) REFERENCES miriam_data_table(iddb);


--
-- TOC entry 2173 (class 2606 OID 1047814)
-- Name: fk83f98123be8a7411; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY mappathnode
    ADD CONSTRAINT fk83f98123be8a7411 FOREIGN KEY (element_iddb) REFERENCES unifiednode(iddb);


--
-- TOC entry 2174 (class 2606 OID 1047819)
-- Name: fk83f98123d8920019; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY mappathnode
    ADD CONSTRAINT fk83f98123d8920019 FOREIGN KEY (mappath_iddb) REFERENCES mappath(iddb);


--
-- TOC entry 2175 (class 2606 OID 1047824)
-- Name: fk83f98123f8b3fb7e; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY mappathnode
    ADD CONSTRAINT fk83f98123f8b3fb7e FOREIGN KEY (reaction_iddb) REFERENCES reaction_table(iddb);


--
-- TOC entry 2169 (class 2606 OID 1047829)
-- Name: fk873fe74ad07dda99; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layout
    ADD CONSTRAINT fk873fe74ad07dda99 FOREIGN KEY (model_iddb) REFERENCES model_table(iddb);


--
-- TOC entry 2170 (class 2606 OID 1047834)
-- Name: fk88cfbf13839f2b6e; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY log_table
    ADD CONSTRAINT fk88cfbf13839f2b6e FOREIGN KEY (user_iddb) REFERENCES user_table(iddb);


--
-- TOC entry 2171 (class 2606 OID 1047839)
-- Name: fk951607816c839650; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY mappath
    ADD CONSTRAINT fk951607816c839650 FOREIGN KEY (endnode_iddb) REFERENCES unifiednode(iddb);


--
-- TOC entry 2172 (class 2606 OID 1047844)
-- Name: fk95160781aee68e42; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY mappath
    ADD CONSTRAINT fk95160781aee68e42 FOREIGN KEY (beginnode_iddb) REFERENCES unifiednode(iddb);


--
-- TOC entry 2158 (class 2606 OID 1047849)
-- Name: fka7b17360d07dda99; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table
    ADD CONSTRAINT fka7b17360d07dda99 FOREIGN KEY (model_iddb) REFERENCES model_table(iddb);


--
-- TOC entry 2153 (class 2606 OID 1047854)
-- Name: fkc75381701e595a8a; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY antisense_rna_region_table
    ADD CONSTRAINT fkc75381701e595a8a FOREIGN KEY (idspeciesdb) REFERENCES species_table(iddb);


--
-- TOC entry 2154 (class 2606 OID 1047859)
-- Name: fkc7538170a4c0d273; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY antisense_rna_region_table
    ADD CONSTRAINT fkc7538170a4c0d273 FOREIGN KEY (idspeciesdb) REFERENCES species_table(iddb);


--
-- TOC entry 2155 (class 2606 OID 1047864)
-- Name: fkc7538170f459d889; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY antisense_rna_region_table
    ADD CONSTRAINT fkc7538170f459d889 FOREIGN KEY (idspeciesdb) REFERENCES species_table(iddb);


--
-- TOC entry 2159 (class 2606 OID 1047869)
-- Name: fkcbfabea647d24b0b; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layerline
    ADD CONSTRAINT fkcbfabea647d24b0b FOREIGN KEY (layer_table_iddb) REFERENCES layer_table(iddb);


--
-- TOC entry 2160 (class 2606 OID 1047874)
-- Name: fkcbfabea6573d6d60; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layerline
    ADD CONSTRAINT fkcbfabea6573d6d60 FOREIGN KEY (lines_iddb) REFERENCES layerline(iddb);


--
-- TOC entry 2161 (class 2606 OID 1047879)
-- Name: fkcbfc4b0447d24b0b; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layeroval
    ADD CONSTRAINT fkcbfc4b0447d24b0b FOREIGN KEY (layer_table_iddb) REFERENCES layer_table(iddb);


--
-- TOC entry 2162 (class 2606 OID 1047884)
-- Name: fkcbfc4b04e771479c; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layeroval
    ADD CONSTRAINT fkcbfc4b04e771479c FOREIGN KEY (ovals_iddb) REFERENCES layeroval(iddb);


--
-- TOC entry 2163 (class 2606 OID 1047889)
-- Name: fkcbfd689647d24b0b; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layerrect
    ADD CONSTRAINT fkcbfd689647d24b0b FOREIGN KEY (layer_table_iddb) REFERENCES layer_table(iddb);


--
-- TOC entry 2164 (class 2606 OID 1047894)
-- Name: fkcbfd68968b8fcc8b; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layerrect
    ADD CONSTRAINT fkcbfd68968b8fcc8b FOREIGN KEY (rectangles_iddb) REFERENCES layerrect(iddb);


--
-- TOC entry 2165 (class 2606 OID 1047899)
-- Name: fkcbfe53df47d24b0b; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layertext
    ADD CONSTRAINT fkcbfe53df47d24b0b FOREIGN KEY (layer_table_iddb) REFERENCES layer_table(iddb);


--
-- TOC entry 2166 (class 2606 OID 1047904)
-- Name: fkcbfe53dfd0c40912; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY layer_table_layertext
    ADD CONSTRAINT fkcbfe53dfd0c40912 FOREIGN KEY (texts_iddb) REFERENCES layertext(iddb);


--
-- TOC entry 2176 (class 2606 OID 1047909)
-- Name: fkcc8b66f9a1903ff9; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY miriam_data_table
    ADD CONSTRAINT fkcc8b66f9a1903ff9 FOREIGN KEY (species_iddb) REFERENCES species_table(iddb);


--
-- TOC entry 2196 (class 2606 OID 1047916)
-- Name: fkdfe14357f943f5d4; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY references_table
    ADD CONSTRAINT fkdfe14357f943f5d4 FOREIGN KEY (reference_id) REFERENCES missingconnection(iddb);


--
-- TOC entry 2179 (class 2606 OID 1047924)
-- Name: fke2a456b71e595a8a; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY modification_residue_table
    ADD CONSTRAINT fke2a456b71e595a8a FOREIGN KEY (idspeciesdb) REFERENCES species_table(iddb);


--
-- TOC entry 2180 (class 2606 OID 1047929)
-- Name: fke2a456b783a4f0d1; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY modification_residue_table
    ADD CONSTRAINT fke2a456b783a4f0d1 FOREIGN KEY (idspeciesdb) REFERENCES species_table(iddb);


--
-- TOC entry 2181 (class 2606 OID 1047934)
-- Name: fke2a456b7f6dd3c25; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY modification_residue_table
    ADD CONSTRAINT fke2a456b7f6dd3c25 FOREIGN KEY (idspeciesdb) REFERENCES species_table(iddb);


--
-- TOC entry 2177 (class 2606 OID 1047939)
-- Name: fkeecb14c4be8a7411; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY missingconnection
    ADD CONSTRAINT fkeecb14c4be8a7411 FOREIGN KEY (element_iddb) REFERENCES unifiednode(iddb);


--
-- TOC entry 2199 (class 2606 OID 1047944)
-- Name: fkf137030bb54fb17f; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY species_table
    ADD CONSTRAINT fkf137030bb54fb17f FOREIGN KEY (parent_iddb) REFERENCES species_table(iddb);


--
-- TOC entry 2200 (class 2606 OID 1047949)
-- Name: fkf137030bd07dda99; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY species_table
    ADD CONSTRAINT fkf137030bd07dda99 FOREIGN KEY (model_iddb) REFERENCES model_table(iddb);


--
-- TOC entry 2201 (class 2606 OID 1047954)
-- Name: fkf137030bf170df45; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY species_table
    ADD CONSTRAINT fkf137030bf170df45 FOREIGN KEY (complex_iddb) REFERENCES species_table(iddb);


--
-- TOC entry 2156 (class 2606 OID 1047959)
-- Name: fkf8704fa5839f2b6e; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY feedback
    ADD CONSTRAINT fkf8704fa5839f2b6e FOREIGN KEY (user_iddb) REFERENCES user_table(iddb);


--
-- TOC entry 2157 (class 2606 OID 1047964)
-- Name: fkf8704fa5d07dda99; Type: FK CONSTRAINT; Schema: public; Owner: map_viewer
--

ALTER TABLE ONLY feedback
    ADD CONSTRAINT fkf8704fa5d07dda99 FOREIGN KEY (model_iddb) REFERENCES model_table(iddb);


--
-- TOC entry 2382 (class 0 OID 0)
-- Dependencies: 6
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2015-09-29 17:54:52

--
-- PostgreSQL database dump complete
--

